telnetd(8)

NOM
telnetd - DARPA Serveur du protocole TELNET

SYNOPSIS
telnetd [options ...]

DESCRIPTION
telnetd est un serveur qui prend en charge le protocole standard de terminal virtuel TELNET de la DARPA. Il est en général invoqué par le serveur Internet (voir inetd(8)) pour que les requêtes se connectent au port TELNET comme indiqué par le fichier /etc/services (voir services(5)).

OPTIONS
La commande telnetd accepte les options suivantes :

-a, --authmode mode_authentification
    Cette option permet de spécifier le mode d’authentification à utiliser. Notez qu’elle n’est pertinente que si telnetd a été compilé avec la prise en charge de l’option AUTHENTICATION. authmode peut prendre plusieurs valeurs :

    user
        N’autoriser les connexions que lorsque l’utilisateur distant peut fournir des informations d’authentification valables et peut accéder au compte spécifié sans avoir à fournir de mot de passe.

    valid
        N’autoriser les connexions que lorsque l’utilisateur distant peut fournir des informations d’authentification valables. Si l’utilisateur distant n’est pas autorisé à accéder automatiquement au compte spécifié, la commande login(1) permettra toute vérification additionnelle de l’utilisateur

    other
        N’autoriser que les connexions qui fournissent des informations d’authentification. Cette option n’est actuellement prise en charge par aucun des mécanismes d’authentification et a donc le même effet que spécifier -a valid.

    none
        Il s’agit de la valeur par défaut. Aucune information d’authentification n’est requise. Si les informations d’authentification sont absentes ou insuffisantes, le programme login(1) permettra les vérifications de l’utilisateur nécessaires.

    off Cette option désactive le mode d’authentification. Toutes les vérifications de l’utilisateur seront effectuées par le programme login(1).

-S, --server-principal nom
    Cette option permet de définir le nom de « principal » Kerberos pour cette instance du serveur, avec ou sans domaine (realm) explicite.

-X, --disable-auth-type type_authentification
    Cette option n’est pertinente que si telnetd a été compilé avec la prise en charge de l’option d’authentification. Elle permet de désactiver temporairement le type d’authentification type_authentification sans avoir à recompiler telnetd.

-D, --debug [mode_débogage]
    Cette option s’utilise à des fins de débogage. Elle permet à telnetd d’afficher des informations de débogage à propos de la connexion, donnant par là même à l’utilisateur la possibilité de voir ce que fait telnetd. mode_débogage peut prendre plusieurs valeurs :

    options
        Afficher des informations à propos de la négociation des options TELNET.

    report
        Afficher les informations fournies par le mode options, ainsi que des informations additionnelles à propos des processus en cours.

    netdata
        Afficher le flux de données reçues par telnetd.

    ptydata
        Afficher les données envoyées au pseudo-terminal (pty).

    auth
        Afficher des informations à propos de l’authentification.

    encr
        Afficher des informations à propos du chiffrement.

-E, --exec-login chaîne
    Définir le programme à exécuter à la place de /bin/login.

-h, --no-hostinfo
    Désactiver l’affichage d’informations spécifiques à l’hôte avant que la connexion ne soit établie.

-l, --linemode [mode]
    Spécifier le mode de ligne en essayant de forcer les clients à utiliser le mode line-at-a-time. Si mode est égal à nokludge, le mode de ligne kludge automatique sera désactivé. Si l’option LINEMODE n’est pas prise en charge, c’est le mode de ligne kludge qui sera adopté.

-n, --no-keepalive
    Désactiver le contrôle de l’activité des connexions TCP (TCP keep-alives). Normalement, telnetd active le mécanisme TCP keep-alive de contrôle de l’activité des connexions TCP pour détecter celles qui sont inactives depuis un certain temps afin de déterminer si le client est encore là ; il pourra alors supprimer les connexions inactives à partir de machines qui se sont plantées ou qui ne peuvent plus être contactées.

-U, --reverse-lookup
    Si cette option est spécifiée, telnetd refusera les connexions à partir d’adresses qui ne peuvent pas faire l’objet d’une résolution inverse en un nom symbolique à l’aide de la routine gethostbyaddr(3).

?, --help
    Afficher l’aide.

--usage
    Afficher un bref message d’utilisation.

-V, --version
    Afficher la version du programme.

OPÉRATION
telnetd fonctionne en allouant un pseudo-terminal (voir pty(4)) pour un client, puis en créant un processus de connexion qui dispose du côté esclave du pseudo-terminal en tant que stdin, stdout et stderr. telnetd manipule le côté maître du pseudo-terminal en implémentant le protocole TELNET et en transmettant des caractères entre le client distant et le processus de connexion.

Lorsqu’une session TELNET a démarré, telnetd envoie des options TELNET au côté client pour signaler son intention d’appliquer les options TELNET suivantes décrites en détail ci-après :

    DO AUTHENTICATION
    WILL ENCRYPT
    DO TERMINAL TYPE
    DO TSPEED
    DO XDISPLOC
    DO NEW-ENVIRON
    DO ENVIRON
    WILL SUPPRESS GO AHEAD
    DO ECHO
    DO LINEMODE
    DO NAWS
    WILL STATUS
    DO LFLOW
    DO TIMING-MARK

Le pseudo-terminal alloué au client est configuré pour fonctionner en mode « cooked » et avec XTABS et CRMOD activés.

telnetd prend en charge l’activation locale des options TELNET suivantes :

WILL ECHO
    Lorsque l’option LINEMODE est activée, WILL ECHO ou WONT ECHO est envoyé au client pour indiquer l’état actuel de l’écho sur le terminal. Si l’écho sur le terminal n’est pas souhaité, WILL ECHO est envoyé pour indiquer que telnetd se chargera d’afficher toute donnée devant l’être sur le terminal, et ainsi rien ne sera affiché. Si l’écho sur le terminal est souhaité, WONT ECHO est envoyé pour indiquer que telnetd n’effectuera aucun affichage sur le terminal, et que le client se chargera de tout affichage nécessaire sur le terminal.

WILL BINARY
    Indiquer que le client souhaite envoyer des données sur 8 bits, au lieu du format habituel sur 7 bits du NVT (« Network Virtual Terminal »).

WILL SGA
    Indiquer qu’il ne sera pas envoyé de commandes « go ahead » IAC GA.

WILL STATUS
    Indiquer l’intention d’envoyer au client (sur sa demande) l’état actuel de toutes les options TELNET.

WILL TIMING-MARK
    Chaque fois qu’une commande DO TIMING-MARK est reçue, il sera toujours répondu avec WILL TIMING-MARK.

WILL LOGOUT
    Lorsqu’une commande DO LOGOUT est reçue, WILL LOGOUT est envoyé en réponse, et la session TELNET est fermée.

WILL ENCRYPT
    Indiquer l’intention de déchiffrer le flux de données (envoyé seulement si telnetd a été compilé avec la prise en charge du chiffrement des données).

telnetd prend en charge l’activation à distance des options TELNET suivantes :

DO BINARY
    Indiquer que telnetd souhaite recevoir des données sur 8 bits.

DO LFLOW
    Demander au client de gérer les caractères de contrôle de flux à distance.

DO ECHO
    Cette commande n’est pas vraiment prise en charge, mais elle est envoyée pour identifier un client telnet(1) de 4.2BSD qui répondra de manière inappropriée avec WILL ECHO. Si WILL ECHO est reçu, DONT ECHO sera envoyé en réponse.

DO TERMINAL-TYPE
    Indiquer le souhait de pouvoir demander le nom du type de terminal attaché au côté client de la connexion.

DO SGA
    Indiquer qu’il n’est pas besoin de recevoir de commande « go ahead » IAC GA.

DO NAWS
    Demander au client d’informer le serveur lors d’un changement de taille de fenêtre (d’écran).

DO TERMINAL-SPEED
    Indiquer le souhait de pouvoir demander des informations à propos du débit de la ligne série à laquelle le client est attaché.

DO XDISPLOC
    Indiquer le souhait de pouvoir demander le nom du « display » X Window associé au client telnet.

DO NEW-ENVIRON
    Indiquer le souhait de pouvoir demander des informations à propos des variables d’environnement, comme décrit dans la RFC 1572.

DO ENVIRON
    Indiquer le souhait de pouvoir demander des informations à propos des variables d’environnement, comme décrit dans la RFC 1408.

DO LINEMODE
    Demander au client d’adopter un fonctionnement ligne par ligne (envoyé seulement si telnetd a été compilé avec la prise en charge de « linemode »).

DO TIMING-MARK
    Envoyé seulement si telnetd a été compilé avec la prise en charge de « linemode » et « kludge linemode », et si le client a répondu avec WONT LINEMODE. Si le client répond avec WILL TM, il est présumé que ce dernier prend en charge « kludge linemode ». Notez que cela peut être désactivé à l’aide de l’option [-k].

DO AUTHENTICATION
    Exprimer le souhait de recevoir des informations d’authentification pour une connexion automatique (envoyé seulement si telnetd a été compilé avec la prise en charge de l’authentification).

DO ENCRYPT
    Indiquer l’intention de déchiffrer le flux de données (envoyé seulement si telnetd a été compilé avec la prise en charge du chiffrement des données).

FICHIERS
/etc/services

VOIR AUSSI
telnet(1), login(1), bftp(1) (si pris en charge)

STANDARDS
RFC-854
    SPÉCIFICATION DU PROTOCOLE TELNET
RFC-855
    SPÉCIFICATION DES OPTIONS TELNET
RFC-856
    TRANSMISSION BINAIRE TELNET
RFC-857
    OPTION ECHO DE TELNET
RFC-858
    OPTION SUPPRESS GO AHEAD DE TELNET
RFC-859
    OPTION STATUS DE TELNET
RFC-860
    OPTION TIMING MARK DE TELNET
RFC-861
    OPTIONS ÉTENDUES DE TELNET — OPTION LIST
RFC-885
    OPTION END OF RECORD DE TELNET
RFC-1073
    Option taille de fenêtre de Telnet
RFC-1079
    Option débit terminal de Telnet
RFC-1091
    Option type de terminal de Telnet
RFC-1096
    Option d’emplacement du « display » de Telnet
RFC-1123
    Prérequis pour les hôtes sur Internet — Application et prise en charge
RFC-1184
    Option Linemode de Telnet
RFC-1372
    Option de contrôle de flux à distance de Telnet
RFC-1416
    Option d’authentification de Telnet
RFC-1411
    Authentification Telnet : Kerberos Version 4
RFC-1412
    Authentification Telnet : SPX
RFC-1571
    Problèmes d’interopérabilité de l’option d’environnement de Telnet
RFC-1572
    Option d’environnement de Telnet

BOGUES
Certaines commandes TELNET ne sont que partiellement implémentées.

Suite à la présence de bogues dans la version originale de telnet(1) sous 4.2BSD, telnetd effectue des échanges de protocole équivoques pour essayer de déterminer si le client distant est en fait telnet(1) sous 4.2BSD.

Le mode binaire n'a pas d'interprétation commune sauf entre des systèmes d'exploitation similaires (Unix dans ce cas).

Le nom du type de terminal reçu du client distant est converti en minuscules.

telnetd n’envoie jamais de commandes TELNET IAC GA (« go ahead »)

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3: https://www.gnu.org/licenses/gpl-3.0.html concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.